=== debian/changelog ===
praat (6.1.38-1) unstable; urgency=medium

  * New upstream version 6.1.38
  * d/p/use-ldflags.patch: Refresh for new upstream version
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Mon, 04 Jan 2021 10:39:11 -0300

praat (6.1.37-1) unstable; urgency=medium

  * New upstream version 6.1.37

 -- Rafael Laboissière <rafael@debian.org>  Mon, 21 Dec 2020 07:03:19 -0300

praat (6.1.36-1) unstable; urgency=medium

  * New upstream version 6.1.36
  * Use pandoc instead of xmlto for building the man pages

 -- Rafael Laboissière <rafael@debian.org>  Tue, 08 Dec 2020 06:59:57 -0300

praat (6.1.34-1) unstable; urgency=medium

  * New upstream version 6.1.34
  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)
  * Use SVG icon from upstream tarball
    + d/praat.svg: Remove file
    + d/install.in: Install file main/praat.svg

 -- Rafael Laboissière <rafael@debian.org>  Thu, 26 Nov 2020 06:24:52 -0300

praat (6.1.33-1) unstable; urgency=medium

  * New upstream version 6.1.33
  * d/p/use-ldflags.patch: Refresh for new upstream version
  * Use upstream desktop file
    + d/praat.desktop: Remove file
    + d/install.in: Adjust for new upstream file
    + d/s/lintian-overrides: Drop override maintainer-desktop-entry
  * d/clean: Delete file test/sys/kanweg.eps
  * d/rules: Use execute_before_ instead of override_dh_auto_clean
  * d/praat.{svg,xpm}: Add new upstream icons

 -- Rafael Laboissière <rafael@debian.org>  Sun, 22 Nov 2020 10:07:56 -0300

praat (6.1.31-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream version 6.1.31
    This version is built against GTK3 (Closes: #967708)
  * d/p/build-against-gtk3.patch: Drop patch (applied upstream)
  * d/p/fix-compilation-errors-praat-cpp.patch: Drop patch (applied upstream)
  * d/p/cross-build.patch: Refresh for new upstream version

 -- Rafael Laboissière <rafael@debian.org>  Wed, 11 Nov 2020 06:16:09 -0300

praat (6.1.30-1+gtk3) experimental; urgency=medium

  * Release to experimental

 -- Rafael Laboissière <rafael@debian.org>  Tue, 10 Nov 2020 08:47:39 -0300

praat (6.1.30-1) unstable; urgency=medium

  * New upstream version 6.1.30
  * d/rules: Explicitly link against libX11 when building sendpraat
  * d/p/fix-compilation-errors-praat-cpp.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Mon, 09 Nov 2020 17:01:31 -0300

praat (6.1.29-1+gtk3) experimental; urgency=medium

  * Built against Gtk3 (Closes: #967708)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 01 Nov 2020 19:56:34 -0300

praat (6.1.29-1) unstable; urgency=medium

  * New upstream version 6.1.29

 -- Rafael Laboissière <rafael@debian.org>  Sun, 01 Nov 2020 14:32:41 -0300

praat (6.1.28-1) unstable; urgency=medium

  * New upstream version 6.1.28

 -- Rafael Laboissière <rafael@debian.org>  Fri, 23 Oct 2020 18:45:32 -0300

praat (6.1.27-1) unstable; urgency=medium

  * New upstream version 6.1.27

 -- Rafael Laboissière <rafael@debian.org>  Sat, 17 Oct 2020 04:28:36 -0300

praat (6.1.26-1) unstable; urgency=medium

  * New upstream version 6.1.26

 -- Rafael Laboissière <rafael@debian.org>  Wed, 07 Oct 2020 11:01:03 -0300

praat (6.1.24-1) unstable; urgency=medium

  * New upstream version 6.1.24
  * d/p/remove-time-date-macros.patch: Drop patch (fixed upstream)
  * d/p/fix-ftbfs-gcc-10.patch: Drop patch (not needed anymore)
  * d/p/fix-procrustes-unit-test.patch: Drop patch (not needed anymore)
  * d/p/use-ldflags.patch: Set "Forwarded: not-needed"
  * d/p/cross-build.patch: Set "Forwarded: not-needed"
  * d/clean: Delete extra test/sys/kanweg.* files
  * d/s/lintian-overrides:
    + Drop obsolete override mailing-list-obsolete-in-debian-infrastructure
    + Add override for maintainer-desktop-entry
    + Add override for package-does-not-install-examples

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Oct 2020 04:13:42 -0300
