=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?([\.\d]+)\.tar\.gz/praat-$1.tar.gz/"	\
    https://github.com/praat/praat/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
