=== melder/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile of the library "melder"
-# Paul Boersma, 14 March 2020
+# Paul Boersma, 2 December 2021
 
 include ../makefile.defs
 
@@ -9,7 +9,7 @@
 	melder_ftoa.o melder_console.o melder_textencoding.o melder_atof.o melder_files.o \
 	melder_sort.o melder_debug.o MelderFile.o melder_strings.o \
 	melder_search.o \
-	melder_info.o melder_error.o melder_warning.o melder_fatal.o melder_progress.o \
+	melder_info.o melder_error.o melder_warning.o melder_progress.o \
 	melder_play.o melder_help.o melder_time.o \
 	melder_audio.o melder_audiofiles.o melder_quantity.o MelderReadText.o melder_tensorio.o \
 	abcio.o melder_sysenv.o regularExp.o \
@@ -31,4 +31,4 @@
 	$(AR) cq libmelder.a $(OBJECTS)
 	$(RANLIB) libmelder.a
 
-$(OBJECTS): ../kar/*.h ../sys/*.h ../dwsys/*.h
+$(OBJECTS): *.h ../kar/*.h ../sys/*.h ../dwsys/*.h
