=== external/opusfile/Makefile ===
--- 
+++ 
@@ -8,8 +8,9 @@
 OPUSFILE_OBJECTS = opusfile.o opusfile_info.o opusfile_internal.o opusfile_stream.o
 
 OPUS_OBJECTS = opus/analysis.o opus/mlp.o opus/opus.o opus/opus_decoder.o opus/opus_multistream.o \
-opus/mapping_matrix.o opus/mlp_data.o opus/opus_compare.o opus/opus_multistream_decoder.o \
+opus/mapping_matrix.o opus/mlp_data.o opus/opus_multistream_decoder.o \
 opus/opus_projection_decoder.o opus/repacketizer.o
+
 
 CELT = opus/celt/
