=== debian/changelog ===
praat (6.2.09-1) unstable; urgency=medium

  * New upstream version 6.2.09

 -- Rafael Laboissière <rafael@debian.org>  Sat, 19 Feb 2022 05:10:50 -0300

praat (6.2.07-1) unstable; urgency=medium

  * New upstream version 6.2.07

 -- Rafael Laboissière <rafael@debian.org>  Wed, 02 Feb 2022 03:58:52 -0300

praat (6.2.06-1) unstable; urgency=medium

  * New upstream version 6.2.06

 -- Rafael Laboissière <rafael@debian.org>  Mon, 24 Jan 2022 06:33:46 -0300

praat (6.2.05-1) unstable; urgency=medium

  * New upstream version 6.2.05
  * d/p/cross-build.patch: Refresh for new upstream version
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Sat, 08 Jan 2022 05:04:28 -0300

praat (6.2.04-1) unstable; urgency=medium

  * New upstream version 6.2.04
  * d/p/test-pca-error-msg.patch: Drop patch (applied upstream)
  * d/p/honor-cppflags.patch: Refresh for new upstream version

 -- Rafael Laboissière <rafael@debian.org>  Mon, 20 Dec 2021 12:33:14 -0300

praat (6.2.03-1) unstable; urgency=medium

  * New upstream version 6.2.03
  * d/watch: Drop filenamemangle from options
  * d/p/test-pca-error-msg.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Mon, 06 Dec 2021 12:41:42 -0300

praat (6.2.01-1) unstable; urgency=medium

  * New upstream version 6.2.01
  * d/p/cross-build.patch: Refresh for new upstream version

 -- Rafael Laboissière <rafael@debian.org>  Thu, 18 Nov 2021 04:13:52 -0300

praat (6.1.56-2) unstable; urgency=medium

  * d/control: Suggests libasound2-plugins.
    Installing the libasound2-plugins package allows Praat to record sound
    files from the microphone when a sound card is not present in the
    system but a PulseAudio domain socket is available. (Closes: #998754)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 08 Nov 2021 04:47:34 -0300

praat (6.1.56-1) unstable; urgency=medium

  * New upstream version 6.1.56
  * d/p/honor-cppflags.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Thu, 04 Nov 2021 11:22:58 -0300

praat (6.1.55-1) unstable; urgency=medium

  * New upstream version 6.1.55

 -- Rafael Laboissière <rafael@debian.org>  Thu, 28 Oct 2021 00:27:28 -0300

praat (6.1.54-1) unstable; urgency=medium

  * New upstream version 6.1.54
  * Fix dependencies on Python 3
    + d/control: Depend on ${python3:Depends} and build-depend on
      python3:any and dh-python
    + d/rules: Give option --with=python3 to the dh sequencer, so that
      dh_python3 is called
  * d/s/lintian-overrides: Drop obsolete Lintian override

 -- Rafael Laboissière <rafael@debian.org>  Tue, 19 Oct 2021 04:01:17 -0300

praat (6.1.53-1) unstable; urgency=medium

  * New upstream version 6.1.53

 -- Rafael Laboissière <rafael@debian.org>  Sat, 11 Sep 2021 13:47:39 -0300

praat (6.1.52-1) unstable; urgency=medium

  * New upstream version 6.1.52
  * d/p/read-vorbis-file-32-bit.patch: Drop patch (applied upstream)
  * d/t/control: Drop obsolete dependencies on xvfb and xauth
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Tue, 31 Aug 2021 16:00:36 -0300

praat (6.1.51-3) unstable; urgency=medium

  * Read Vorbis file in unit test
    + d/p/disable-read-vorbis-file.patch: Drop patch
    + d/p/read-vorbis-file-32-bit.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Wed, 18 Aug 2021 11:03:57 -0300

praat (6.1.51-2) unstable; urgency=medium

  * Upload to unstable (really, closes: #984296)
  * d/p/disable-read-vorbis-file.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Sun, 15 Aug 2021 18:11:11 -0300

praat (6.1.51-1) experimental; urgency=medium

  * New upstream version 6.1.51

 -- Rafael Laboissière <rafael@debian.org>  Sat, 24 Jul 2021 09:51:35 -0300

praat (6.1.50-1) experimental; urgency=medium

  * New upstream version 6.1.50
  * d/p/fix-test-mds.patch: Drop patch (applied updstream)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 04 Jul 2021 06:51:43 -0300

praat (6.1.49-1) experimental; urgency=medium

  * New upstream version 6.1.49
  * d/p/std-limits-g++-11.patch: Drop patch (applied upstream)
  * d/p/fix-test-mds.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Sat, 19 Jun 2021 15:22:24 -0300

praat (6.1.47-2) experimental; urgency=medium

  [ Steffen Möller ]
  * Update metadata - added registry entries

 -- Rafael Laboissière <rafael@debian.org>  Thu, 27 May 2021 02:56:06 -0300

praat (6.1.47-1) experimental; urgency=medium

  * New upstream version 6.1.47
  * d/p/disable-test-sound-voiceactivity.patch: Drop patch (applied upstream)
  * d/p/dwtest-random-seed.patch: New patch
  * Use praat_nogui, instead of praat, for exercising the unit tests

 -- Rafael Laboissière <rafael@debian.org>  Wed, 26 May 2021 15:26:36 -0300

praat (6.1.42-1) experimental; urgency=medium

  * New upstream version 6.1.42
  * d/p/disable-test-sound-voiceactivity.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Tue, 04 May 2021 09:31:34 -0300

praat (6.1.40-1) experimental; urgency=medium

  * New upstream version 6.1.40
  * d/copyright: Reflect upstream changes
  * Refresh patches for new upstream version:
    + d/p/use-ldflags.patch
    + d/p/cross-build.patch
  * d/p/std-limits-g++-11.patch: New patch (Closes: #984296)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 07 Mar 2021 05:24:47 -0300
