=== debian/control ===
--- 
+++ 
@@ -5,14 +5,16 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               dh-python,
                libasound2-dev,
                libgtk-3-dev,
                libjack-jackd2-dev,
                libpulse-dev,
+               pandoc,
+               python3:any,
                xauth,
-               xvfb,
-               pandoc
-Standards-Version: 4.5.1
+               xvfb
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/praat
 Vcs-Git: https://salsa.debian.org/med-team/praat.git
 Homepage: https://www.praat.org
@@ -23,7 +25,8 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          oss-compat,
-         python3
+         ${python3:Depends}
+Suggests: libasound2-plugins
 Description: program for speech analysis and synthesis
  According to its authors, praat is "doing phonetics by computer".  Through
  its graphical interface, several speech analysis functionalities are
