=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 endif
 
 %:
-	dh $@
+	dh $@ --with=python3
 
 get-upstream-changelog:
 	# Get upstream changelog (in HTML format) and replace some characters
@@ -83,6 +83,6 @@
 ifeq (,$(filter $(DEB_HOST_ARCH),armel armhf mipsel))
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	PRAAT=$(CURDIR)/praat debian/tests/run-tests
+	PRAAT=$(CURDIR)/praat_nogui debian/tests/run-tests
 endif
 endif
