=== debian/watch ===
version=4
https://github.com/praat/praat/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
