=== debian/changelog ===
praat (6.2.16-2) unstable; urgency=medium

  * d/p/honor-cppflags.patch: Honor CPPFLAGS in foned/Makefile

 -- Rafael Laboissière <rafael@debian.org>  Tue, 23 Aug 2022 09:53:56 -0300

praat (6.2.16-1) unstable; urgency=medium

  * New upstream version 6.2.16
  * Patches refreshed for new upstream version
    + d/p/use-ldflags.patch
    + d/p/honor-cppflags.patch
  * d/rules: Delete foned/FunctionEditor.o before building praat_nogui
  * d/NEWS: Drop asterisks in news entries
  * Clarify the status of file generate/Unicode/gen-unicode-ctype.c.html
    + d/copyright: Add stanza for the this file and indicate its origin
    + d/s/lintian-overrides: Override Lintian warning source-is-missing

 -- Rafael Laboissière <rafael@debian.org>  Mon, 22 Aug 2022 04:06:37 -0300

praat (6.2.14-1) unstable; urgency=medium

  * New upstream version 6.2.14

 -- Rafael Laboissière <rafael@debian.org>  Wed, 25 May 2022 09:17:48 -0300

praat (6.2.13-1) unstable; urgency=medium

  * New upstream version 6.2.13
  * d/copyright: Reflect upstream changes
  * d/s/lintian-overrides: Drop unused override
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Drop sendpraat
    + d/NEWS: Add note about the removal of the sendpraat command
    + d/clean: Dot not remove sendpraat and sendpraat.1
    + d/install.in: Do not install sendpraat
    + d/praat.manpages: Drop manpage sendpraat.1
    + d/rules: Drop rules for building sendpraat and sendpraat.1
    + d/sendpraat.md: Drop file
  * Deprecate praat-open-files
    + d/NEWS: Add not about deprecation of praat-open-files
    + d/praat-open-files: Use of "praat --open" instead of sendpraat
    + d/praat-open-files.md: Adjust for the changes above
  * Add new desktop file for openning audio files
    + d/praat-file.desktop: New desktop file
    + d/praat-file.svg: New icon file
    + d/install.in: Install the above files

 -- Rafael Laboissière <rafael@debian.org>  Mon, 23 May 2022 07:27:36 -0300

praat (6.2.12-1) unstable; urgency=medium

  * New upstream version 6.2.12

 -- Rafael Laboissière <rafael@debian.org>  Thu, 28 Apr 2022 05:46:13 -0300

praat (6.2.11-1) unstable; urgency=medium

  * New upstream version 6.2.11
  * d/s/lintian-overrides: Add override for package-does-not-install-examples

 -- Rafael Laboissière <rafael@debian.org>  Thu, 14 Apr 2022 03:28:57 -0300

praat (6.2.10-1) unstable; urgency=medium

  * New upstream version 6.2.10

 -- Rafael Laboissière <rafael@debian.org>  Tue, 29 Mar 2022 11:45:14 -0300
